package fr.unice.reneviergonin.fisheye01;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.SeekBar;

import fr.unice.reneviergonin.fisheye01.deform.AbstractFormula;
import fr.unice.reneviergonin.fisheye01.deform.BasicDeform;
import fr.unice.reneviergonin.fisheye01.images.DeformableView;


public class FishEyeView extends Activity {

    private static final AbstractFormula[] formulas = { new BasicDeform()  };
    private int currentFormula = 0;

    private DeformableView view;


    private boolean isPartiallyDeformed = true;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_fish_eye_view);

        if (savedInstanceState != null) currentFormula = savedInstanceState.getInt("currentFormula", 0);


        view = (DeformableView) findViewById(R.id.deformed);
        view.setPartiallyDeformed(isPartiallyDeformed);
        view.setDeformation(formulas[currentFormula]);
        formulas[0].setParams(100, 300, 200);

    }




}
